﻿<%@ control language="VB" autoeventwireup="false" inherits="UserControls_Back_TaskList, KartrisCompiled" %>
<div id="section_tasklist">
    <h3>
        <asp:Literal ID="litContentTextToDoList" Text="<%$ Resources: _TaskList, ContentText_ToDoList  %>"
            runat="server" /></h3>
    <asp:UpdatePanel ID="updMain" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <%--Customer Orders--%>
            <asp:PlaceHolder ID="phdCustomerOrders" runat="server">
                <!-- Orders -->
                <asp:PlaceHolder ID="phdOrders" runat="server" Visible="true">
                    <div class="level_1">
                        <a href="_OrdersList.aspx">
                            <asp:Literal ID="litContentTextToDoListOrders1" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListOrders1 %>" />
                        </a>
                    </div>
                    <div class="level_2">
                        <asp:PlaceHolder ID="phdToInvoice" runat="server">
                            <div>
                                <a href="_OrdersList.aspx?callmode=invoice">
                                    <asp:Literal ID="litContentTextToDoListOrders2" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListOrders2 %>" />
                                    <asp:Literal ID="litToInvoice" runat="server" /></a></div>
                        </asp:PlaceHolder>
                        <asp:PlaceHolder ID="phdNeedPayment" runat="server">
                            <div>
                                <a href="_OrdersList.aspx?callmode=payment">
                                    <asp:Literal ID="litContentTextToDoListOrders3" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListOrders3 %>" />
                                    <asp:Literal ID="litNeedPayment" runat="server" /></a></div>
                        </asp:PlaceHolder>
                        <asp:PlaceHolder ID="phdToDispatch" runat="server">
                            <div>
                                <a href="_OrdersList.aspx?callmode=dispatch">
                                    <asp:Literal ID="litContentTextToDoListOrders4" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListOrders4 %>" />
                                    <asp:Literal ID="litToDispatch" runat="server" /></a></div>
                        </asp:PlaceHolder>
                    </div>
                </asp:PlaceHolder>
                <!-- Stock -->
                <asp:PlaceHolder ID="phdStock" runat="server" Visible="true">
                    <div class="level_1">
                        <a href="_StockWarning.aspx">
                            <asp:Literal ID="litContentTextToDoListStock1" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListStock1 %>" />
                        </a>
                    </div>
                    <div class="level_2">
                        <a href="_StockWarning.aspx">
                            <asp:PlaceHolder ID="phdStockWarning" runat="server">
                                <asp:Literal ID="litContentTextToDoListStock3" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListStock3 %>" />
                                <asp:Literal ID="litStockWarning" runat="server" /></asp:PlaceHolder>
                            <br />
                            <asp:PlaceHolder ID="phdOutOfStock" runat="server">
                                <asp:Literal ID="litContentTextToDoListStock4" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListStock4 %>" />
                                <asp:Literal ID="litOutOfStock" runat="server" /></asp:PlaceHolder>
                        </a>
                    </div>
                </asp:PlaceHolder>
                <!-- Affiliates -->
                <asp:PlaceHolder ID="phdAffiliates" runat="server" Visible="true">
                    <div class="level_1">
                        <a href="_CustomersList.aspx?mode=af">
                            <asp:Literal ID="litContentTextToDoListAffiliates1" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListAffiliates1 %>" />
                        </a>
                    </div>
                    <div class="level_2">
                        <a href="_CustomersList.aspx?mode=af&amp;approve=y">
                            <asp:Literal ID="litContentTextToDoListAffiliates3" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListAffiliates3 %>" />
                            <asp:Literal ID="litWaitingAffiliates" runat="server" /></a>
                    </div>
                </asp:PlaceHolder>
                <!-- Reviews -->
                <asp:PlaceHolder ID="phdReviews" runat="server" Visible="true">
                    <div class="level_1">
                        <a href="_Reviews.aspx?strModerate=y">
                            <asp:Literal ID="litContentTextToDoListReviews1" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListReviews1 %>" />
                        </a>
                    </div>
                    <div class="level_2">
                        <a href="_Reviews.aspx?strModerate=y">
                            <asp:Literal ID="litContentTextToDoListReviews3" runat="server" Text="<%$ Resources: _TaskList, ContentText_ToDoListReviews3 %>" />
                            <asp:Literal ID="litWaitingReviews" runat="server" /></a>
                    </div>
                </asp:PlaceHolder>
                <!-- No Items -->
                <asp:PlaceHolder ID="phdNoItems" runat="server" Visible="false">
                <div class="noresults">
                    <asp:Literal ID="litContentTextNoItemsFound" runat="server" Text="<%$ Resources: _Kartris, ContentText_NoItemsFound %>" /></div>
            </asp:PlaceHolder>
            </asp:PlaceHolder>
            <!-- Support Tickets -->
            <asp:PlaceHolder ID="phdSupportTickets" runat="server" Visible="false">
                <div class="level_1">
                    <asp:HyperLink ID="lnkMyTickets" runat="server">
                        <asp:Literal ID="litBackMenuSupportTickets" runat="server" Text="<%$ Resources: _Kartris, BackMenu_SupportTickets %>" />
                    </asp:HyperLink>
                </div>
                <div class="level_2">
                    <div>
                        <asp:HyperLink ID="lnkAwaitingResponse" runat="server">
                            <asp:Literal ID="litContentTextWaiting" runat="server" Text="<%$ Resources: _Tickets, ContentText_Waiting %>" />
                            <asp:Literal ID="litAwaitingResponse" runat="server" /></asp:HyperLink></div>
                    <div>
                        <asp:HyperLink ID="lnkUnAssignedTickets" runat="server" NavigateUrl="~/Admin/_SupportTickets.aspx?u=0">
                            <asp:Literal ID="litContentTextUnassignedTickets" runat="server" Text="<%$ Resources: _Tickets, ContentText_UnassignedTickets %>" />
                            <asp:Literal ID="litUnassigned" runat="server" />
                        </asp:HyperLink>
                    </div>
                </div>
            </asp:PlaceHolder>
        </ContentTemplate>
    </asp:UpdatePanel>
</div>
